### Class

# EvinceDocument RenderContext

#### Description

    class EvinceDocument.RenderContext : GObject.Object {
      parent: GObject,
      page: EvPage*,
      rotation: gint,
      scale: gdouble,
      target_width: gint,
      target_height: gint
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ev_render_context_new

No description available.

#### Instance methods

###### ev_render_context_compute_scaled_size

No description available.

###### ev_render_context_compute_scales

No description available.

###### ev_render_context_compute_transformed_size

No description available.

###### ev_render_context_set_page

No description available.

###### ev_render_context_set_rotation

No description available.

###### ev_render_context_set_scale

No description available.

###### ev_render_context_set_target_size

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EvinceDocumentRenderContextClass {
      GObjectClass klass;

    }

###### Class members

`klass`

    GObjectClass

| No description available.